<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Pumpkin Theme
| Version: 1.01
| Filename: theme.php
| Author: Fangree Productions
| Developer: Mangee
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at http://www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
define("THEME_BULLET", "");
set_image("folder", THEME."forum/folder.png");
set_image("folderlock", THEME."forum/folderlock.png");
set_image("stickythread", THEME."forum/stickythread.png");
set_image("newthread", THEME."forum/newthread.png");
set_image("reply", THEME."forum/reply.png");
set_image("forum_edit", THEME."forum/edit.png");
set_image("quote", THEME."forum/quote.png");
set_image("pm", THEME."forum/pm.png");
set_image("web", THEME."forum/web.png");
require_once INCLUDES."theme_functions_include.php";
if(function_exists('add_to_head')){
add_to_head("<script type='text/javascript' src='".THEME."script.js'></script>");
//add_to_head("<script type='text/javascript' src='".THEME."cufon-yui.js'></script>");
add_to_head("<script type='text/javascript' src='".THEME."cufon-replace.js'></script>");
add_to_head("<script type='text/javascript' src='".THEME."VTCGoblinHand_oblique_700.font.js'></script>");
}
function render_page($license=false) {

global $locale, $main_style, $settings, $userdata, $aidlink;
echo "<div id='fpage'><div id='ipage'>
<div id='logo'>".showbanners()."\n";
if (!iMEMBER) {echo"<div id='log-reg'><span><a href='".BASEDIR."login.php' title='Login'>".$locale['global_100']."</a>".($settings['enable_registration'] ? "&nbsp;|&nbsp;<a href='".BASEDIR."register.php'>".$locale['global_107']."</a>\n" : "");
echo"</span></div>"; 
}else{}
echo"</div>
<div id='navbar'><div class='navis'>".showsublinks(" ")."</div></div>
<div id='cts' class='clearfix $main_style'>
<div id='wrapper'><div id='color'></div><div id='pattern'></div><div id='logobox'></div></div>
".(LEFT ? "<div id='side-border-left'>".LEFT."</div>" : "")."
".(RIGHT ? "<div id='side-border-right'>".RIGHT."</div>" : "")."
<div id='main-bg'><div id='container'>".U_CENTER.CONTENT.L_CENTER."
</div></div></div>
<div id='fout'><div class='cpanel'><div id='fin'>
<div class='copy'>".(!$license ?  "<div class='floatL'>".showcopyright()."</div><div class='floatR'>".stripslashes($settings['footer'])."</div>" : "")."</div>
<div class='copy'><div class='floatL'  style='padding-top:4px'>A Theme Released by <a href='http://www.fangree.co.uk/'>Fangree Productions</a> Designed by <a href='http://www.fangree.co.uk/'>Mangee</a></div><div class='floatR' style='padding-top:4px'>".showcounter()."</div></div>
</div></div></div><div class='fs'></div></div></div><script type='text/javascript'> Cufon.now(); </script>\n";

}

function render_news($subject, $news, $info) {
global $locale;
opentable($subject);
echo "<div class='floatfix'>".$info['cat_image'].$news."</div>
<div class='news-footer'>
	".newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id'])."
</div>\n";
closetable();
}
function render_article($subject, $article, $info) {
global $locale;
opentable($subject);
echo "<div class='floatfix'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>
<div class='news-footer'>
	".articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id'])."
</div>\n";
closetable();
}
function render_comments($c_data, $c_info){
global $locale;
opentable($locale['c100']);
if (!empty($c_data)){
echo "<div class='comments floatfix'>\n";
$c_makepagenav = '';
if ($c_info['c_makepagenav'] !== false) { 
echo $c_makepagenav = "<div style='text-align:center;margin-bottom:5px;'>".$c_info['c_makepagenav']."</div>\n"; 
}
foreach($c_data as $data) {
echo "<div class='tbl2'>\n";
if ($data['edit_dell'] !== false) { 
echo "<div style='float:right' class='comment_actions'>".$data['edit_dell']."\n</div>\n";
}
echo "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a> |
<span class='comment-name'>".$data['comment_name']."</span>
<span class='small'>".$data['comment_datestamp']."</span>
</div>\n<div class='tbl1 comment_message'>".$data['comment_message']."</div>\n";
}
echo $c_makepagenav;
if ($c_info['admin_link'] !== false) {
echo "<div style='float:right;margin-bottom:5px' class='comment_admin'>".$c_info['admin_link']."</div>\n";
}
echo "</div>\n";} else {echo $locale['c101']."\n";}
	closetable();   
}
function opentable($title) {
echo"
<div class='tt'><span>".$title."</span></div>
<div class='tbody'>
\n";
}
function closetable() {
echo "</div>\n";
}


$panel_collapse = true;
function openside($title, $collapse = false, $state = "on") {
static $box_id = 0; $box_id++;
global $panel_collapse; $panel_collapse = $collapse;
echo "<div class='panel'>
<div class='st'><span>".($collapse ? panelbutton($state,$box_id) : "")."$title</span></div>
<div class='sbody'>".($collapse ? panelstate($state, $box_id) : "");
}
function closeside() {
global $panel_collapse;
echo ($panel_collapse ? "</div>" : "")."</div></div>\n";
}



?>
